Page 1 of 1

Mac support

Posted: Wed Oct 16, 2013 12:32 pm
by esgaroth
Help needed !
I am working on the next release and would really like to not only have a windows package but one for mac also. Is someone out there who could compile and upload (i would give the privileges, of course) a mac package ? We┬┤ve had no mac release for 7 years or so....
Please help !

Re: Mac support

Posted: Thu Oct 17, 2013 3:53 am
by pheonixstorm
We keep hoping someone shows up to do this but no luck so far :(

Re: Mac support

Posted: Fri Jun 05, 2020 1:22 am
by thedoctor45
I know this probably comes at bit late & unexpected but as a long time Star Trek fan and Mac gamer I'd like to offer my assistance for bringing the latest version of VegaTrek to Intel and maybe also PPC Macs.

I have the Apple Developer tools installed on my old MacBook Pro as well as the macports build enviroment so I should be able to compile stuff for Mac OS X 10.5 Leopard and above.

Re: Mac support

Posted: Fri Jun 05, 2020 4:37 am
by loki1950
Join us @ our http://github.com/vegastrike site we now have modernized our source so that it complies on current generation Linux distros still working on a Windows build sorry no OSX support yet none of our current team has a MAC so you would be very useful though this is for the main game engine not the Star Trek mod as we do not currently have access to the mod's source code there where changes to accommodate the different mode of interstellar travel.

Enjoy the Choice :)

Re: Mac support

Posted: Sun Jun 07, 2020 4:00 pm
by thedoctor45
Thanks for the quick reply, could you point me to the most recent files I need to get the game compiled - I've already downloaded the "Vega-Strike-Engine-Source", "Testing-Mac" and "Platform-Specific-Mac" repositories - is there anything else I should take a look at?

Re: Mac support

Posted: Sun Jun 07, 2020 6:43 pm
by nabaco
Hi thedoctor45,

Currently you will need only the Vega-Strike-Engine-Source and the Assets-Production for compiling and running the game.

I recommend cloning the Assets-Production repo using:

Code: Select all

git clone https://github.com/vegastrike/Assets-Production/tree/master/modules --depth=1
We are tracking our efforts for MacOS compilation in this issue.

You can look at the .travis.yml in the engine repo to see what we have done so for (with homebrew). We are also moving from GTK2 to GTK3, which should ease the efforts for MacOS compilation.

You could also have a look at VCPKG, which I'm using to deal with the dependencies on my Windows compilation attempts. You can see my progress here.

Feel free to go to our Gitter channel to chat with the rest of the Dev team.

I'm thrilled to see some progress in this area :)
NaBaCo.

Re: Mac support

Posted: Tue Jun 09, 2020 12:41 am
by thedoctor45
Alright, I'm currently a bit busy but I will look into it as soon as I have more time. Btw which compiler do you recommend for the current source? I have gcc 4.0 to 7.0 as well as clang 3.4 to 7.0 available on my setup.

PS: Is this guide still relevant or would it have to be updated as well?: http://vegastrike.sourceforge.net/wiki/ ... ile_on_OSX

Re: Mac support

Posted: Wed Jun 10, 2020 4:43 am
by loki1950
That wiki entry is way out of date the one on our current domain is just a bit better and we do test with both gcc and clang ATM so join us when your ready hopefully by the I will have tracked down the both the mod's source code and data.

Enjoy the Choice :)

Re: Mac support

Posted: Wed Nov 11, 2020 6:16 pm
by thedoctor45
Sorry for the delay but I've finally found enough time to take a closer look at this issue.

I've downloaded the 0.6.0 engine source as well as the Assets-production archive for version 0.6.0 and have tried to generate an Xcode project using cmake but for some reason the cmake command can't find some of the gtk2 components - here's the log:

Code: Select all

/opt/local/bin/cmake -G Xcode ..
-- The C compiler identification is Clang 3.7.1
-- The CXX compiler identification is Clang 3.7.1
-- Check for working C compiler: /opt/local/bin/clang-mp-3.7
-- Check for working C compiler: /opt/local/bin/clang-mp-3.7 -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /opt/local/bin/clang-mp-3.7
-- Check for working CXX compiler: /opt/local/bin/clang-mp-3.7 -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
++ Disabling Position Independent Executables/Shared Libraries (Recommended on Ubuntu/Mint)
-- Check size of void*
-- Check size of void* - done
++ Python release(s) searched for : 2.7
-- Found PythonLibs: /opt/local/lib/libpython2.7.dylib (found version "2.7.15") 
++ Python library : /opt/local/lib/libpython2.7.dylib (2.7.15)
++ Python include dir : /opt/local/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7
++ Using Internal Boost
CMake Warning (dev) at CMakeLists.txt:810 (ADD_SUBDIRECTORY):
  The source directory

    /Users/jaba/Desktop/Vega-Strike-Engine-Source-0.6.0/ext/boost/1_72_0

  does not contain a CMakeLists.txt file.

  CMake does not support this case but it used to work accidentally and is
  being allowed for compatibility.

  Policy CMP0014 is not set: Input directories must have CMakeLists.txt.  Run
  "cmake --help-policy CMP0014" for policy details.  Use the cmake_policy
  command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

++ boost dir: ../ext/boost/1_72_0
-- Found OpenGL: /Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk/System/Library/Frameworks/OpenGL.framework   
++ OpenGL found : /Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk/System/Library/Frameworks/OpenGL.framework;/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk/System/Library/Frameworks/OpenGL.framework
-- Found GLUT: /Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk/System/Library/Frameworks/GLUT.framework  
++ GLUT found : /Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk/System/Library/Frameworks/GLUT.framework;/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk/System/Library/Frameworks/Cocoa.framework
-- Found OpenAL: /Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk/System/Library/Frameworks/OpenAL.framework  
++ Found OpenAL
-- Found SDL: /Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk/Library/Frameworks/SDL.framework;-framework Cocoa (found version "1.2.13") 
++ SDL Found
-- Found Vorbis: /Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk/Library/Frameworks/vorbis.framework;/usr/local/lib/libvorbisfile.dylib;/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk/Library/Frameworks/ogg.framework
-- Found JPEG: /Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk/Library/Frameworks/jpeg.framework (found version "70") 
-- Found PkgConfig: /usr/local/bin/pkg-config (found version "0.29.2") 
-- Checking for module 'libpng'
--   Found libpng, version 1.6.35
-- Found PNG: /Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk/Library/Frameworks/png.framework
-- Found ZLIB: /usr/lib/libz.dylib (found version "1.2.3") 
-- Found EXPAT: /usr/lib/libexpat.dylib (found version "2.0.0") 
-- Found Math: /usr/lib/libm.dylib
-- FFMPEG disabled
-- Ogre disabled
-- Looking for wchar.h
-- Looking for wchar.h - found
-- Looking for float.h
-- Looking for float.h - found
-- Looking for wctype.h
-- Looking for wctype.h - found
-- Looking for inttypes.h
-- Looking for inttypes.h - found
-- Looking for zlib.h
-- Looking for zlib.h - found
-- Looking for math.h
-- Looking for math.h - found
-- Looking for C++ include tr1/unordered_map
-- Looking for C++ include tr1/unordered_map - found
-- Looking for gettimeofday
-- Looking for gettimeofday - found
-- Looking for isnan
-- Looking for isnan - found
-- Looking for finite
-- Looking for finite - found
-- Looking for sys/stat.h
-- Looking for sys/stat.h - found
-- Looking for lstat
-- Looking for lstat - found
-- Looking for GLX_ARB_get_proc_address
-- Looking for GLX_ARB_get_proc_address - not found
-- Checking for module 'gtk+-2.0'
--   Package 'cairo', required by 'pangocairo', not found
CMake Error at /opt/local/share/cmake-3.12/Modules/FindPkgConfig.cmake:436 (message):
  A required package was not found
Call Stack (most recent call first):
  /opt/local/share/cmake-3.12/Modules/FindPkgConfig.cmake:602 (_pkg_check_modules_internal)
  FindGTK2.cmake:33 (pkg_check_modules)
  setup/CMakeLists.txt:17 (FIND_PACKAGE)


-- Configuring incomplete, errors occurred!
The weird thing is I have both gtk2 and gtk3 installed via MacPorts (including the supposedly missing cairo and pangocairo libs)
Any idea why it's not able to find them?

Re: Mac support

Posted: Wed Nov 11, 2020 6:38 pm
by thedoctor45
I've tried to provide the location of the cairo directories manually by passing these commands to cmake:

Code: Select all

/opt/local/bin/cmake -G Xcode -DGTK2_CAIRO_INCLUDE_DIR=/opt/local/include -DGTK2_CAIRO_LIBRARY=/opt/local/lib ..
but the result is the same unfortunately...

Re: Mac support

Posted: Wed Nov 11, 2020 8:10 pm
by thedoctor45
Looks like the library & header search paths for GTK are not set properly for Mac OS X in the FindGTK2.cmake file.
I've tried to redirect those to /opt/local/ but the problem remains.

I'm out of ideas for now.
FindGTK2.cmake.zip